Subject: bug#116: % is already used

From: Adam Borowski <[email-masked]>
Date: Sat, 15 Jul 2017 23:38:58 +0200

> From: KatolaZ <[email-masked]>
> To: [email-masked]
> Subject: maybe git issue?

Note: the Debian BTS does not notify anyone but the maintainer for mails
received at [email-masked]; you want [email-masked] for this.

Yeah, I also used to make this mistake most of the time, and even now
occasionally make it as well.  I guess it'd be much better to default to
what most other bug trackers do, and mail the maintainer, uploaders and
everyone who commented on the bug in question.

But that's a separate issue.

> Hi Adam,
>
> it seems more a git issue (git doesn't seem to like colons in tag
> names). I might easily let d1h replace colons with "_" in tag names,
> and issue a warnung, but we must be sure that we like this in general.

I see that whatever workload the Samba repository uses (perhaps gbp which I
hate with a passion) uses bare '%' for colons.  Not URLish "%3A" but just
"%":

[~/pkg/samba](suites/ascii-proposed)$ git tag
debian/1%3.0.28a-2
debian/1%3.0.28a-3
debian/1%3.0.29-1
debian/1%3.0.30-1
debian/1%3.2.0_pre2-2
debian/1%3.2.0_rc1-1
debian/2%3.0.30-2
debian/2%3.0.30-3
[...]
upstream/3.0.24
upstream/3.0.27a
upstream/3.0.28
upstream/3.0.28a
upstream/3.0.29
[...]

-- 
⢀⣴⠾⠻⢶⣦⠀ 
⣾⠁⢠⠒⠀⣿⡁ A dumb species has no way to open a tuna can.
⢿⡄⠘⠷⠚⠋⠀ A smart species invents a can opener.
⠈⠳⣄⠀⠀⠀⠀ A master species delegates.